package com.yeejoin.amos.fas.business.service.intfc;


/**
 * 
 * <pre>
 * 三维节点与规则消息实体视图service
 * </pre>
 *
 * @version $Id: INodeMsgViewService.java, v 0.1 2019年1月2日 下午2:48:40 amos Exp $
 */
public interface IRuleRunningSnapshotService 
{

    void replay(String batchNo) throws Exception;

    public void reacordPlan(String topic, String msgType, String msgBody, Object contingency);
    
    public void replayPlan(String batchNo, String randomNumber)  throws Exception;

	void exitReplayPlan(String batchNo, String randomNumber);
}
